/*
 * $Id: Block.java,v 1.2 2006/04/13 01:29:22 ofung Exp $
 */

/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at https://glassfish.dev.java.net/public/CDDLv1.0.html.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems Inc. All Rights Reserved
 */

package com.sun.xml.rpc.processor.model;

import javax.xml.namespace.QName;

/**
 *
 * @author JAX-RPC Development Team
 */
public class Block extends ModelObject {
    
    public static final int BODY   = 1;
    public static final int HEADER = 2;
    public static final int ATTACHMENT = 3;

    public Block() {}
    
    public Block(QName name) {
        this.name = name;
    }
    
    public Block(QName name, AbstractType type) {
        this.name = name;
        this.type = type;
    }
    
    public QName getName() {
        return name;
    }
    
    public void setName(QName n) {
        name = n;
    }
    
    public AbstractType getType() {
        return type;
    }
    
    public void setType(AbstractType type) {
        this.type = type;
    }
    
    public int getLocation() {
        return location;
    }
    
    public void setLocation(int i) {
        location = i;
    }
    
    public void accept(ModelVisitor visitor) throws Exception {
        visitor.visit(this);
    }
    
    private QName name;
    private AbstractType type;
    private int location;
}
