/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at https://glassfish.dev.java.net/public/CDDLv1.0.html.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems Inc. All Rights Reserved
 */
package com.sun.xml.rpc.spi.runtime;

import java.io.IOException;
import java.io.InputStream;

import javax.xml.namespace.QName;
import javax.xml.soap.MimeHeaders;
import javax.xml.soap.SOAPMessage;

/**
 * This class is implemented by 
 * com.sun.xml.rpc.soap.message.SOAPMessageContext
 */
public interface SOAPMessageContext
    extends javax.xml.rpc.handler.soap.SOAPMessageContext {

    public SOAPMessage createMessage(MimeHeaders headers, InputStream in)
        throws IOException;
    public void writeInternalServerErrorResponse();
    public void writeSimpleErrorResponse(QName faultCode, String faultString);
    public boolean isFailure();
}
